Bug 90563 - du leaks file-descriptors during processing
Summary: du leaks file-descriptors during processing
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: coreutils   
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
low
low
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-09 17:32 UTC by matti aarnio
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version: 5.0-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-12 16:24:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description matti aarnio 2003-05-09 17:32:10 UTC
Description of problem:
  The 'du'  seems to leak file descriptors for each  argv  parameter,
  with end result that:
    du *
  in a directory with _lots_ of _files_ gives error message:
  (actually lots of argv entries, even if they are the same file)

  du: cannot open current directory: Too many open files
  du: `30968': Too many open files

  (files with all numeric names in my test case)

  My  ulimit -n   is 1024,  and first error is on line 1022 of the output.

Version-Release number of selected component (if applicable):
  coreutils-5.0-3

How reproducible:
  Always

Steps to Reproduce:
  1. Create a directory with about a dozen files (or go to such),
  2. ulimit -n 8
  3. du -s *

Additional info:
  For this to happen,  'du'  argument set must have more elements, than
  your current 'ulimit -n' value is (n=10 allows 10-2 args without failure)

Comment 1 Tim Waugh 2003-05-12 10:40:23 UTC
Thanks for the report.  Reported upstream too.

Comment 2 Tim Waugh 2003-05-12 16:24:42 UTC
Fixed package will shortly appear in rawhide.


Note You need to log in before you can comment on or make changes to this bug.